# ISSorted

Checks the indices to determine whether they have been sorted.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PETSCVEC_DLLEXPORT ISSorted(IS is,PetscTruth *flg)

Collective on IS

### Input Parameter

is -the index set

### Output Parameter

flg -output flag, either PETSC_TRUE if the index set is sorted, or PETSC_FALSE otherwise.

Notes: For parallel IS objects this only indicates if the local part of the IS is sorted. So some processors may return PETSC_TRUE while others may return PETSC_FALSE.

### See Also

ISSort()

Level:intermediate
Location: src/vec/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages